import { ipcRenderer as n, contextBridge as c } from "electron";
const m = {
  refreshStatus: () => n.send("$mqtt/status"),
  removeClient: (e) => n.send("remove-mqtt-client", e),
  onmessage: (e) => {
    n.on("mqtt-message", (s, i, o, d) => {
      e(i, o, d);
    });
  },
  localPublish: (e, s) => n.send("mqtt-local-publich", e, s),
  publish: (e, s) => n.send("mqtt-publich", e, s),
  subscribes: (e, s) => n.send("mqtt-subscribes", e, s),
  unsubscribes: (e, s) => n.send("mqtt-unsubscribes", e, s)
}, r = {
  removeClient: (e) => n.send("$ipc/remove/client", e),
  onmessage: (e) => {
    n.on("$ipc/message", (s, i, ...o) => {
      e(i, ...o);
    });
  },
  send: (e, ...s) => n.send("$ipc/send", e, ...s),
  sendMain: (e, ...s) => n.send("$ipc/sendmain", e, ...s),
  subscribes: (e, s) => n.send("$ipc/subscribes", e, s),
  unsubscribes: (e, s) => n.send("$ipc/unsubscribes", e, s)
}, u = {
  onblur: function(e) {
    return n.on("window-blur", e), function() {
      n.off("unmaximize", e);
    };
  },
  close: (e, s) => n.send("$window/close", e, s),
  maximize: () => n.send("$window/maximize"),
  minimize: () => n.send("$window/minimize"),
  focus: () => n.send("window-focus"),
  hide: () => n.send("$window/hide")
};
let t = {
  mqtt: m,
  gc: r,
  window: u,
  getWebContentId: () => n.sendSync("getWebContentId"),
  getCookie: (e) => n.invoke("get-cookie", e),
  setCookie: (e) => n.invoke("set-cookie", e)
};
c.exposeInMainWorld("_pre_", t);
globalThis._pre_ = t;
