declare class IpcMain implements ff.gc.Client {
    rendererTopics: {
        [topic: string]: number[];
    };
    mainSubTopics: {
        [topic: string]: Function[];
    };
    autoId: number;
    constructor();
    send(topic: string, message?: any, ...arg: any): void;
    sendToWebContents(webContactId: number, topic: string, message?: any): void;
    sendMain(topic: string, message?: any, ...arg: any): void;
    sendCurrent(topic: string, ...message: any): void;
    on<T extends string>(topic: T, param: T extends keyof ff.gc.Subscribes ? ff.gc.Subscribes[T] : (...p: any[]) => void): void;
    subscribes(subs: Partial<ff.gc.Subscribes>): void;
    unsubscribes(subs: Partial<ff.gc.Subscribes>): void;
}
declare let fgc: IpcMain;
export default fgc;
